Patchwork [10/11] plug-in: Silence sparse warning

login
register
mail settings
Submitter Chuck Lever
Date Oct. 19, 2012, 9:09 p.m.
Message ID <20121019210904.53119.95898.stgit@seurat.1015granger.net>
Download mbox | patch
Permalink /patch/192815/
State Accepted
Headers show

Comments

Chuck Lever - Oct. 19, 2012, 9:09 p.m.
Address the following sparse warning:

nfs-plugin.c:376:70: warning: mixing different enum types
nfs-plugin.c:376:70:     int enum jp_status  versus
nfs-plugin.c:376:70:     int enum FedFsStatus

Introduced by commit d9602565 "plugin: Introduce the junction plug-in
API" January 12, 2012.

Signed-off-by: Chuck Lever <chuck.lever@oracle.com>
---

 src/plug-ins/nfs-plugin.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

Patch

diff --git a/src/plug-ins/nfs-plugin.c b/src/plug-ins/nfs-plugin.c
index 275caf1..ba7c2e0 100644
--- a/src/plug-ins/nfs-plugin.c
+++ b/src/plug-ins/nfs-plugin.c
@@ -373,7 +373,7 @@  nfs_jp_resolve_fsn(const char *fsn_uuid, nsdb_t host,
 		break;
 	default:
 		nfs_jp_debug("%s: Failed to resolve FSN %s: %s\n",
-			__func__, fsn_uuid, nsdb_display_fedfsstatus(status));
+			__func__, fsn_uuid, nsdb_display_fedfsstatus(retval));
 	}
 
 	nsdb_close_nsdb(host);